# $Revision: 1.18 $, $Date: 2002/11/09 15:10:48 $
Summary:	Wrapper for managing boot services
Summary(pl):	Skrypty do zarzdzania bootloaderami
Name:		rc-boot
Version:	1.1
Release:	2
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.gz
Conflicts:	lilo < 22.0.2-2
Conflicts:	grub < 0.90-2
Requires:	bootloader
Requires:	sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/sysconfig/rc-boot

%description
Wrapper for managing boot services.

%description -l pl
Skrypty do zarzdzania bootloaderami.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/images,%{_mandir}/man8}

install src/rc-boot	$RPM_BUILD_ROOT/sbin
install doc/config	$RPM_BUILD_ROOT%{_sysconfdir}
install doc/rc-boot.8	$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{Assumtpions,Authors,BUGS,README,config,image}
%attr(754,root,root) /sbin/rc-boot
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config
%attr(750,root,root) %dir %{_sysconfdir}/images
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rc-boot.spec,v $
Revision 1.18  2002/11/09 15:10:48  gotar
- Source0 URL was invalid,
- Requires: sed,
- cosmetics,
- release 2.

Revision 1.17  2002/08/20 16:59:50  grzegorz
- some cleanups
- new %doc

Revision 1.16  2002/08/20 16:29:58  dobrek
- Updated to 1.1

Revision 1.16  2002/05/22 20:03:24  blues
- added ALIAS viariable for lilo (I don't know if grub supports it...)
- changed version in included spec
- changed behaviour of DEBUG and documented in config it

Revision 1.15  2001/10/18 13:15:09  malekith
sync with SPECS/rc-boot.spec

Revision 1.12  2001/10/18 13:11:53  malekith
ver 1.0.0

Revision 1.14  2001/07/11 15:15:57  klakier
- spec ver 0.7.2

Revision 1.13  2001/07/11 14:18:49  dobrek
- WHERE_THE_LOADER_IS_INSTALLED --- > STAGE2
- VERSION 0.7.2

Revision 1.12  2001/07/09 15:34:42  dobrek
- added support for "auto" in WHERE_THE_LOADER_IS_INSTALLED
- added rule for rpm to Makefile.
- added support for LOADER in config file.
- Version seted to 0.7

Revision 1.11  2001/06/25 11:58:53  klakier
- more typos

Revision 1.10  2001/06/19 12:31:31  dobrek
- Added support for BOOT=mbr and ROOT=auto. In case of this setings
  rc-boot should try to find the answer by its own. Mayby usefull.
- Makefile with usefull entry dist, install.
- doc/VERSION file with the program version.
- And last but not the least for expalnation of the meaning of the word
  "automatically" see doc/config footnote [1]

Revision 1.9  2001/05/03 10:11:47  dobrek
-Added man page

Revision 1.4  2001/04/08 12:01:52  dobrek
-Updated to 0.4

Revision 1.3  2001/03/22 17:28:54  malekith
Fixes, works now. Ver 0.3, stbr
cec02917f43b14c71d1aa79e2dc6beb4  rc-boot-0.3.tar.gz

Revision 1.2  2001/03/22 14:05:48  misiek
more macros; stb

Revision 1.1  2001/03/21 15:35:39  malekith
Available for testing :>

Revision 1.7  2001/03/21 15:27:28  malekith
Ver: 0.2
removed obsolute files, changed config defaults
to be reasonable.

Revision 1.6  2001/03/18 21:04:24  dobrek
-A lot of changes. Mainly in the direction of don't let user to do anything stupid.
 No it can be a litle pesadito. But who cares?
-Grub done but need a lot of tests.
-Lilo almoust done.

Revision 1.5  2001/02/19 11:41:34  malekith
fixed spec and default configs. should now work
ok after build

Revision 1.4  2001/02/17 11:40:53  malekith
fixed removal of link in preun according to wiget's suggestion
on list.

Revision 1.3  2001/02/15 16:02:44  malekith
fixed wrong path for functions.sh
added removal of it after deinstalation.

Revision 1.2  2001/02/15 15:26:29  malekith
updated to use just one bootloader at a time.
fixed spec to build separate packages for each bootloader.
fixed permissions to allos 600 not only 640.

Revision 1.1.1.1  2001/02/07 12:54:03  dobrek
- Initial import.
- Some documentation in rc-boot/doc

